View a KYC Document
Caution – Legacy endpoints being superseded by the hosted KYC/KYB solution
Mangopay’s hosted KYC/KYB solution is becoming mandatory for all platforms (relying on the IDV Session object). The legacy KYC Document endpoints remain available for the sole purposes of sending additional documents, but this use case will also be handled by the hosted solution in future.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
If your platform is using a proxy to take SCA-triggering action on behalf of users, you also need to integrate mTLS authentication and use the api-mtls base URL.
Path parameters
Response
Returned values: IDENTITY_PROOF, REGISTRATION_PROOF, ARTICLES_OF_ASSOCIATION, SHAREHOLDER_DECLARATION, ADDRESS_PROOF
The type of the document for the user verification.
Returned values: A code from the Flags list.
The series of codes providing more precision regarding the reason why the identity proof document was refused. You can review the explanations for each code in the Flags list.
Max length: 128 characters (see data formats for details)
The unique identifier of the object.
Max. length: 255 characters
Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: "{\"id_1\":AB123,\"id_2\":DE456}".
Unix timestamp (UTC) of the date and time the object was created.
Unix timestamp (UTC) of the date and time the document was processed by Mangopay’s team.
Returned values: CREATED, VALIDATION_ASKED, VALIDATED, REFUSED, OUT_OF_DATE
The status of the document:
CREATED– The document container is created and files can be uploaded using the POST Create a KYC Document Page endpoint before submission.VALIDATION_ASKED– The document is submitted to Mangopay for validation.VALIDATED– The document is validated by Mangopay’s teams.REFUSED– The document is rejected by Mangopay’s teams and a new KYC Document object needs to be created to resubmit it. You can learn more about the reason why it was refused in theRefusedReasonTypeparameter.OUT_OF_DATE– The document is downgraded and a new KYC Document object needs to be created to resubmit it.
Returned values: DOCUMENT_DO_NOT_MATCH_USER_DATA, DOCUMENT_FALSIFIED, DOCUMENT_HAS_EXPIRED, DOCUMENT_INCOMPLETE, DOCUMENT_MISSING, DOCUMENT_NOT_ACCEPTED, DOCUMENT_UNREADABLE, SPECIFIC_CASE, UNDERAGE_PERSON
Returned null unless Status is REFUSED.
The reason for the document refusal. See the refused reason types for more information depending on the document type.
Max. length: 255 characters
Default value: null Additional information about why the KYC Document was refused, provided by Mangopay’s team.